com.sun.jna.platform.win32.COM

## Class EnumMoniker

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.win32.COM.COMInvoker
    - - com.sun.jna.platform.win32.COM.Unknown
      - - com.sun.jna.platform.win32.COM.EnumMoniker

All Implemented Interfaces:
  NativeMapped, IEnumMoniker, IUnknown

    public class EnumMoniker
    extends Unknown
    implements IEnumMoniker

### Nested Class Summary

### Nested classes/interfaces inherited from class com.sun.jna.platform.win32.COM.Unknown

`Unknown.ByReference`

### Field Summary

### Fields inherited from interface com.sun.jna.platform.win32.COM.IEnumMoniker

`IID`

### Fields inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`IID_IUNKNOWN`

### Constructor Summary

Constructors
Constructor and Description
`EnumMoniker(Pointer pointer)`

### Method Summary

All Methods Instance Methods Concrete Methods
`WinNT.HRESULT` `Clone(PointerByReference ppenum)` Creates a new enumerator that contains the same enumeration state as the current one.
`WinNT.HRESULT` `Next(WinDef.ULONG celt, PointerByReference rgelt, WinDef.ULONGByReference pceltFetched)` Retrieves the specified number of items in the enumeration sequence.
`WinNT.HRESULT` `Reset()` Resets the enumeration sequence to the beginning.
`WinNT.HRESULT` `Skip(WinDef.ULONG celt)` Skips over the specified number of items in the enumeration sequence.

### Methods inherited from class com.sun.jna.platform.win32.COM.Unknown

`AddRef, QueryInterface, Release`

### Methods inherited from class com.sun.jna.platform.win32.COM.COMInvoker

`_invokeNativeInt, _invokeNativeObject, _invokeNativeVoid`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.sun.jna.platform.win32.COM.IUnknown

`AddRef, QueryInterface, Release`

### Constructor Detail

#### EnumMoniker

    public EnumMoniker(Pointer pointer)

### Method Detail

#### Next

    public WinNT.HRESULT Next(WinDef.ULONG celt,
                              PointerByReference rgelt,
                              WinDef.ULONGByReference pceltFetched)

Description copied from interface: `IEnumMoniker`
Retrieves the specified number of items in the enumeration sequence. Note: The caller is responsible for calling Release through each pointer enumerated. `HRESULT Next( [in] ULONG celt, [out] IMoniker **rgelt, [in, out] ULONG *pceltFetched );`

Specified by:
  `Next` in interface `IEnumMoniker`
See Also:
  MSDN

#### Skip

    public WinNT.HRESULT Skip(WinDef.ULONG celt)

Description copied from interface: `IEnumMoniker`
Skips over the specified number of items in the enumeration sequence. `HRESULT Skip( [in] ULONG celt );`

Specified by:
  `Skip` in interface `IEnumMoniker`
See Also:
  MSDN

#### Reset

    public WinNT.HRESULT Reset()

Description copied from interface: `IEnumMoniker`
Resets the enumeration sequence to the beginning. `HRESULT Reset();`

Specified by:
  `Reset` in interface `IEnumMoniker`
See Also:
  MSDN

#### Clone

    public WinNT.HRESULT Clone(PointerByReference ppenum)

Description copied from interface: `IEnumMoniker`
Creates a new enumerator that contains the same enumeration state as the current one. This method makes it possible to record a particular point in the enumeration sequence and then return to that point at a later time. The caller must release this new enumerator separately from the first enumerator. `HRESULT Clone( [out] IEnumMoniker **ppenum );`

Specified by:
  `Clone` in interface `IEnumMoniker`
See Also:
  MSDN

Copyright © 2007-2016 Timothy Wall. All Rights Reserved.